<?xml version="1.0" encoding="UTF-8" ?>
<testsuite errors="0" failures="0" hostname="KL11031636" name="com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated" tests="4" time="5.397" timestamp="2012-01-09T12:45:39">
  <properties>
    <property name="jnlp.jogamp.tmp.cache.root" value="jln5523372110100804490" />
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment" />
    <property name="sun.boot.library.path" value="C:\Program Files (x86)\Java\jdk1.6.0_24\jre\bin" />
    <property name="java.vm.version" value="19.1-b02" />
    <property name="java.vm.vendor" value="Sun Microsystems Inc." />
    <property name="java.vendor.url" value="http://java.sun.com/" />
    <property name="path.separator" value=";" />
    <property name="java.vm.name" value="Java HotSpot(TM) Client VM" />
    <property name="file.encoding.pkg" value="sun.io" />
    <property name="user.country" value="DE" />
    <property name="sun.java.launcher" value="SUN_STANDARD" />
    <property name="sun.os.patch.level" value="Service Pack 1" />
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification" />
    <property name="user.dir" value="W:\git\jogamp\jogl\make" />
    <property name="java.runtime.version" value="1.6.0_24-b07" />
    <property name="java.awt.graphicsenv" value="sun.awt.Win32GraphicsEnvironment" />
    <property name="java.endorsed.dirs" value="C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\endorsed" />
    <property name="os.arch" value="x86" />
    <property name="java.io.tmpdir" value="C:\Users\BERNHA~1.GOE\AppData\Local\Temp\" />
    <property name="line.separator" value="&#xd;&#xa;" />
    <property name="java.vm.specification.vendor" value="Sun Microsystems Inc." />
    <property name="user.variant" value="" />
    <property name="os.name" value="Windows 7" />
    <property name="sun.jnu.encoding" value="Cp1252" />
    <property name="java.library.path" value="../../gluegen/build/obj;../build/nativewindow/obj;../build/jogl/obj;../build/newt/obj;../build/test/build/obj" />
    <property name="java.specification.name" value="Java Platform API Specification" />
    <property name="java.class.version" value="50.0" />
    <property name="sun.management.compiler" value="HotSpot Client Compiler" />
    <property name="os.version" value="6.1" />
    <property name="user.home" value="C:\Users\bernhard1.goetz" />
    <property name="user.timezone" value="" />
    <property name="java.awt.printerjob" value="sun.awt.windows.WPrinterJob" />
    <property name="file.encoding" value="Cp1252" />
    <property name="java.specification.version" value="1.6" />
    <property name="user.name" value="bernhard1.goetz" />
    <property name="java.class.path" value="../../gluegen/make/lib/junit.jar;C:\Program Files (x86)\WinAnt/lib/ant.jar;C:\Program Files (x86)\WinAnt/lib/ant-junit.jar;../../gluegen/build/gluegen-rt.jar;../build/jar/jogl.all-noawt.jar;../build/jar/jogl.test.jar" />
    <property name="java.vm.specification.version" value="1.0" />
    <property name="sun.arch.data.model" value="32" />
    <property name="java.home" value="C:\Program Files (x86)\Java\jdk1.6.0_24\jre" />
    <property name="java.specification.vendor" value="Sun Microsystems Inc." />
    <property name="user.language" value="de" />
    <property name="awt.toolkit" value="sun.awt.windows.WToolkit" />
    <property name="java.vm.info" value="mixed mode, sharing" />
    <property name="jnlp.no.jvm.data.model.set" value="true" />
    <property name="java.version" value="1.6.0_24" />
    <property name="java.ext.dirs" value="C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\ext;C:\Windows\Sun\Java\lib\ext" />
    <property name="sun.boot.class.path" value="C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\resources.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\rt.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\sunrsasign.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\jsse.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\jce.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\charsets.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\lib\modules\jdk.boot.jar;C:\Program Files (x86)\Java\jdk1.6.0_24\jre\classes" />
    <property name="java.vendor" value="Sun Microsystems Inc." />
    <property name="java.awt.headless" value="true" />
    <property name="file.separator" value="\" />
    <property name="java.vendor.url.bug" value="http://java.sun.com/cgi-bin/bugreport.cgi" />
    <property name="sun.cpu.endian" value="little" />
    <property name="sun.io.unicode.encoding" value="UnicodeLittle" />
    <property name="sun.desktop" value="windows" />
    <property name="sun.cpu.isalist" value="pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86" />
  </properties>
  <testcase classname="com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated" name="testWindowDecor01Simple" time="0.531" />
  <testcase classname="com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated" name="testWindowDecor02DestroyWinTwiceA" time="0.546" />
  <testcase classname="com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated" name="testWindowDecor03TwoWinOneDisplay" time="0.936" />
  <testcase classname="com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated" name="testWindowDecor03TwoWinTwoDisplays" time="1.014" />
  <system-out><![CDATA[]]></system-out>
  <system-err><![CDATA[Thread-3 - SingletonInstanceServerSocket: localhost/127.0.0.1:59999 - started
SLOCK 1326113140595 +++ localhost/127.0.0.1:59999 - Locked 
USE_WGLVersion_Of_5WGLGDIFuncSet: false
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor01Simple
Detected screen origin -1920 / 0, size 3520 x 1200
WindowEvent[EVENT_WINDOW_GAINED_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113141936 d 0ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113141936 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-1-EDT-1,5,main] GearsES2.init ...
Chosen GLCapabilities: GLCaps[7 arb: on-scr, rgba 0x8/8/8/0, opaque, accum-rgba 16/16/16/16, dp/st/ms: 24/0/0, dbl, mono  , hw, GLProfile[GL3bc/GL3bc]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce GT 330M/PCI/SSE2
GL_VERSION: 3.3.0
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@482923
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@184ec44
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1b383e9
Thread[Thread-2-UserApp-Display-Windows_nil-1-EDT-1,5,main] GearsES2.init FIN
Thread[Thread-2-UserApp-Display-Windows_nil-1-EDT-1,5,main] GearsES2.reshape 0/0 640x480, swapInterval 1
Thread[Thread-2-UserApp-Display-Windows_nil-1-EDT-1,5,main] GearsES2.reshape FIN
WindowEvent[WINDOW_RESIZED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113141936 d 141ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-1-EDT-1,5,main] GearsES2.dispose ... 
Thread[Thread-2-UserApp-Display-Windows_nil-1-EDT-1,5,main] GearsES2.dispose FIN
WindowEvent[EVENT_WINDOW_LOST_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142311 d 0ms]]
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142311 d 0ms]]
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor01Simple
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor02DestroyWinTwiceA
Detected screen origin -1920 / 0, size 3520 x 1200
WindowEvent[EVENT_WINDOW_GAINED_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142435 d 0ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142435 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-2-EDT-1,5,main] GearsES2.init ...
Chosen GLCapabilities: GLCaps[7 arb: on-scr, rgba 0x8/8/8/0, opaque, accum-rgba 16/16/16/16, dp/st/ms: 24/0/0, dbl, mono  , hw, GLProfile[GL3bc/GL3bc]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce GT 330M/PCI/SSE2
GL_VERSION: 3.3.0
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@17ee8b8
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@e0b6f5
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@10bc49d
Thread[Thread-2-UserApp-Display-Windows_nil-2-EDT-1,5,main] GearsES2.init FIN
Thread[Thread-2-UserApp-Display-Windows_nil-2-EDT-1,5,main] GearsES2.reshape 0/0 640x480, swapInterval 1
Thread[Thread-2-UserApp-Display-Windows_nil-2-EDT-1,5,main] GearsES2.reshape FIN
WindowEvent[WINDOW_RESIZED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142435 d 188ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-2-EDT-1,5,main] GearsES2.dispose ... 
Thread[Thread-2-UserApp-Display-Windows_nil-2-EDT-1,5,main] GearsES2.dispose FIN
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142841 d 0ms]]
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142841 d 0ms]]
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor02DestroyWinTwiceA
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor03TwoWinOneDisplay
Detected screen origin -1920 / 0, size 3520 x 1200
WindowEvent[EVENT_WINDOW_GAINED_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142997 d 0ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142997 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.init ...
Chosen GLCapabilities: GLCaps[7 arb: on-scr, rgba 0x8/8/8/0, opaque, accum-rgba 16/16/16/16, dp/st/ms: 24/0/0, dbl, mono  , hw, GLProfile[GL3bc/GL3bc]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce GT 330M/PCI/SSE2
GL_VERSION: 3.3.0
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@b64435
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@37fb1e
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1479feb
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.init FIN
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.reshape 0/0 640x480, swapInterval 0
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.reshape FIN
WindowEvent[WINDOW_RESIZED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113142997 d 156ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143169 d 0ms]]
WindowUpdateEvent[WindowEvent[EVENT_WINDOW_REPAINT, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143153 d 16ms]], [ 0 / 0  640 x 480 ]]
WindowEvent[EVENT_WINDOW_LOST_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143169 d 15ms]]
WindowEvent[EVENT_WINDOW_GAINED_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143262 d 0ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143278 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.init ...
Chosen GLCapabilities: GLCaps[7 arb: on-scr, rgba 0x8/8/8/0, opaque, accum-rgba 16/16/16/16, dp/st/ms: 24/0/0, dbl, mono  , hw, GLProfile[GL3bc/GL3bc]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce GT 330M/PCI/SSE2
GL_VERSION: 3.3.0
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@86fe26
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@97a560
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1ea5671
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.init FIN
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.reshape 0/0 630x470, swapInterval 1
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.reshape FIN
WindowEvent[WINDOW_RESIZED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143293 d 94ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143387 d 0ms]]
WindowUpdateEvent[WindowEvent[EVENT_WINDOW_REPAINT, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143403 d 15ms]], [ 0 / 0  630 x 470 ]]
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.dispose ... 
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.dispose FIN
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143637 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.dispose ... 
Thread[Thread-2-UserApp-Display-Windows_nil-3-EDT-1,5,main] GearsES2.dispose FIN
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143871 d 0ms]]
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor03TwoWinOneDisplay
++++ UITestCase.setUp: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor03TwoWinTwoDisplays
Detected screen origin -1920 / 0, size 3520 x 1200
WindowEvent[EVENT_WINDOW_GAINED_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143995 d 0ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143995 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-4-EDT-1,5,main] GearsES2.init ...
Chosen GLCapabilities: GLCaps[7 arb: on-scr, rgba 0x8/8/8/0, opaque, accum-rgba 16/16/16/16, dp/st/ms: 24/0/0, dbl, mono  , hw, GLProfile[GL3bc/GL3bc]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce GT 330M/PCI/SSE2
GL_VERSION: 3.3.0
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1df5a8f
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@b2a2d8
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1e13d52
Thread[Thread-2-UserApp-Display-Windows_nil-4-EDT-1,5,main] GearsES2.init FIN
Thread[Thread-2-UserApp-Display-Windows_nil-4-EDT-1,5,main] GearsES2.reshape 0/0 640x480, swapInterval 0
Thread[Thread-2-UserApp-Display-Windows_nil-4-EDT-1,5,main] GearsES2.reshape FIN
WindowEvent[WINDOW_RESIZED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113143995 d 172ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144183 d 0ms]]
WindowUpdateEvent[WindowEvent[EVENT_WINDOW_REPAINT, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144183 d 0ms]], [ 0 / 0  640 x 480 ]]
Detected screen origin -1920 / 0, size 3520 x 1200
WindowEvent[EVENT_WINDOW_GAINED_FOCUS, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144245 d 0ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144276 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-5-EDT-1,5,main] GearsES2.init ...
Chosen GLCapabilities: GLCaps[7 arb: on-scr, rgba 0x8/8/8/0, opaque, accum-rgba 16/16/16/16, dp/st/ms: 24/0/0, dbl, mono  , hw, GLProfile[GL3bc/GL3bc]]
INIT GL IS: jogamp.opengl.gl4.GL4bcImpl
GL_VENDOR: NVIDIA Corporation
GL_RENDERER: GeForce GT 330M/PCI/SSE2
GL_VERSION: 3.3.0
gear1 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1db699b
gear2 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@1f26605
gear3 created: com.jogamp.opengl.test.junit.jogl.demos.es2.GearsObjectES2@107ebe1
Thread[Thread-2-UserApp-Display-Windows_nil-5-EDT-1,5,main] GearsES2.init FIN
Thread[Thread-2-UserApp-Display-Windows_nil-5-EDT-1,5,main] GearsES2.reshape 0/0 630x470, swapInterval 1
Thread[Thread-2-UserApp-Display-Windows_nil-5-EDT-1,5,main] GearsES2.reshape FIN
WindowEvent[WINDOW_RESIZED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144276 d 109ms]]
WindowEvent[WINDOW_MOVED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144401 d 0ms]]
WindowUpdateEvent[WindowEvent[EVENT_WINDOW_REPAINT, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144401 d 31ms]], [ 0 / 0  630 x 470 ]]
Thread[Thread-2-UserApp-Display-Windows_nil-4-EDT-1,5,main] GearsES2.dispose ... 
Thread[Thread-2-UserApp-Display-Windows_nil-4-EDT-1,5,main] GearsES2.dispose FIN
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144651 d 0ms]]
Thread[Thread-2-UserApp-Display-Windows_nil-5-EDT-1,5,main] GearsES2.dispose ... 
Thread[Thread-2-UserApp-Display-Windows_nil-5-EDT-1,5,main] GearsES2.dispose FIN
WindowEvent[EVENT_WINDOW_DESTROYED, NEWTEvent[sys:false, source:jogamp.newt.driver.windows.WindowsWindow, when:1326113144885 d 0ms]]
++++ UITestCase.tearDown: com.jogamp.opengl.test.junit.newt.TestGLWindows02NEWTAnimated - testWindowDecor03TwoWinTwoDisplays
SLOCK 1326113144931 --- localhost/127.0.0.1:59999 - Unlock ok
]]></system-err>
</testsuite>
